require "fonts_cn"

FONTS_CN_CHARS = {}
for i, font in ipairs(FONTS_CN) do
    chars = require("fonts/"..font)
    for j,char in pairs(chars) do
        if type(char) == "table" then
            for _,c in pairs(char) do
                FONTS_CN_CHARS[c] = {
                    fontName = font,
                    charIndex = j
                }
            end
        else
            FONTS_CN_CHARS[char] = {
                fontName = font,
                charIndex = j
            }
        end
    end
end